FROM rust:1.77.1-slim-buster as build

WORKDIR /src

# copy your source tree
COPY . .

# build for release
RUN cd service_test && cargo build --release

# our final base
FROM debian:buster-slim

# copy the build artifact from the build stage
COPY --from=build /src/target/release/service_test .

# set the startup command to run your binary
CMD ["./service_test"]
